/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ClaseservicioEquivalencia;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 * 
 * @author Administrador
 */
public class RenderClaseservicioEquivalencia implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ClaseservicioEquivalencia claseservicioEquivalencia = (ClaseservicioEquivalencia) o;

		Listcell lc = new Listcell(claseservicioEquivalencia.getClaseservicioequivalenciaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(claseservicioEquivalencia.getClaseservicio().getDescclase());
		lc.setParent(lstm);

		lc = new Listcell(claseservicioEquivalencia.getComisionistaExterno().getDesccomisionista());
		lc.setParent(lstm);

		lc = new Listcell(claseservicioEquivalencia.getEquivalenciaId());
		lc.setParent(lstm);

		lstm.setAttribute("data", claseservicioEquivalencia);
	}
}
